<template>
  <ele-modal
    :visible.sync="showEditFlag"
    :close-on-click-modal="false"
    custom-class="ele-dialog-form"
    append-to-body
    :fullscreen="true"
  >
    <iframe
      :src="fileUrl"
      width="100%"
      v-if="showEditFlag"
      style="height: calc(100vh - 100px)"
      frameborder="0"
      allowfullscreen="true"
    ></iframe
  ></ele-modal>
</template>

<script>
import { getFileType } from './util.js';

export default {
  data() {
    return {
      fileUrl: '',
      showEditFlag: false
    };
  },

  methods: {
    open(row){
      this.showEditFlag=true
      this.setFileUrl(row)
    },
    setFileUrl(row) {
      let file = row.storagePath[0];
      let fileNames=file.storePath.split('/')
      let url = window.location.origin+'/api/main/file/getFile?objectName='+file.storePath+'&fullfilename='+fileNames[fileNames.length-1]
      this.fileUrl = '/kkfile/onlinePreview?url=' + btoa(url);
      
      // const fileExt = file.name.substr(file.name.lastIndexOf('.') + 1);
      // this.fileType = getFileType().includes(fileExt) ? 2 : 1;
      // if (this.fileType == 2) {
      //   this.fileUrl =
      //     '/fm/' +
      //     (['dxf', 'dwg'].includes(fileExt) ? '2DViewer' : '3DViewer') +
      //     '/view.html?url=' +
      //     sessionStorage.filePath +
      //     '/' +
      //     row.outputNdsFiles;
      // } else {
      //   this.fileUrl = '/kkfile/onlinePreview?url=' + btoa(url);
      //   // 'http://192.168.1.107:18082/kkfile/onlinePreview?url=' + btoa(url);
      // }
    }
  }
};
</script>
<style scoped lang="scss">
</style>
